module sROP_Other_Variables
    
    implicit none
    
    
    ! real(8), parameter  :: PI = 3.1415926      ! PI Number

    
    
    TYPE, PUBLIC :: ROPSpecificationInfo

        integer :: FormationNumber
        real(8) :: FormationTopDepth
        !CHARACTER(len=20) :: filename         ! Name of file to open       ??????????????????????????????????tuye type bemune ya bere biroon???
        INTEGER :: name , status               ! I/O status
        REAL(8) :: H1, H2, H3, wdmax                     ! The real value read in
        ! $$$$$**$$$$$**$$$$$**$$$$$**$$    End of Introduction of Module Inputs   $$**$$$$$**$$$$$**$$$$$**$$$$$
        !character(len = 20) :: Formation_Type = 'Shale' ! Default = Shale
        ! -----**-----**-----**-----**-----**             Bit Type:            *-----**-----**-----**-----**-----
        Integer :: BitClass                    ! Default = Rollar Cone
        real(8) :: DiameterOfBit               ! unit : [in.] (Typical Range: 3.0 to 30.0)
        Integer :: NumberOfBitNozzles          ! (Typical Range: 1 to 10)
        real(8) :: DiameterOfBitNozzle         ! unit : [1/32 in.] (Typical Values: 8.0 to 32.0)
        ! -----**-----**-----**-----**-----**          End of Bit Type:        *-----**-----**-----**-----**-----
        real(8) :: CriticalMudDensity          ! unit : [ppg] or [lb/gal] (Typical Range: 0 to 10.0)
        real(8) :: CriticalWeightOnBit                 ! unit : [klb] (Typical Range: 0 to 10)
        real(8) :: ReynoldsNumber              ! unit : [klb] (Typical Range: 0.1 to 1000.0)
        ! -----**-----**-----**-----**-----**    Other data%State%ROP_Bit%RateofPenetration Model Variables:    *-----**-----**-----**-----**-----
        real(8) :: f1, f2, f3, f4, f5, f6, f7, f8
        real(8) :: a1, a2, a3, a4, a5, a6, a7, a8
        real(8) :: BrCoef
        real(8) :: dt , TouH
        ! -----**-----**-----**-----**---    End of Other data%State%ROP_Bit%RateofPenetration Model Variables     ---**-----**-----**-----**-----
        ! $$$$$**$$$$$**$$$$$**$$$$$**$$$$$**    End of Variable Definition    *$$$$$**$$$$$**$$$$$**$$$$$**$$$$$ 

    END TYPE ROPSpecificationInfo
    
    
    

end module sROP_Other_Variables